Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar.model
[Groovy] Class SonarDatabase

    java.lang.Object
      org.gradle.api.plugins.sonar.model.SonarDatabase

    class SonarDatabase

Configuration options for the Sonar database. Defaults match the defaults for a locally running server (with embedded database).

Property Summary
`String` | `driverClassName` The name of the JDBC driver class.
`String` | `password` The JDBC password for the Sonar database.
`String` | `url` The JDBC URL for the Sonar database.
`String` | `username` The JDBC username for the Sonar database.

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### driverClassName

    @SonarProperty("sonar.jdbc.driverClassName")
    String driverClassName

  The name of the JDBC driver class. Defaults to `org.apache.derby.jdbc.ClientDriver`.

### password

    @SonarProperty("sonar.jdbc.password")
    String password

  The JDBC password for the Sonar database. Defaults to `sonar`.

### url

    @SonarProperty("sonar.jdbc.url")
    String url

  The JDBC URL for the Sonar database. Defaults to `jdbc:derby://localhost:1527/sonar`.

### username

    @SonarProperty("sonar.jdbc.username")
    String username

  The JDBC username for the Sonar database. Defaults to `sonar`.

Gradle API 1.1-rc-1